complexType "Position"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 10 elements
Defined: | globally in fpml-valuation-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | positionId, version?, status?, creationDate?, originatingEvent?, history?, reportingRoles?, constituent, scheduledDate*, valuation*
</...>

Content Model Elements (10):

  constituent,
  creationDate,
  history,
  originatingEvent (defined in PositionStatusInfo.model group),
  positionId,
  reportingRoles,
  scheduledDate (defined in Position complexType),
  status (defined in PositionStatusInfo.model group),
  valuation (defined in Position complexType),
  version (defined in PositionIdAndVersion.model group)

Annotation
A collection of related trades or positions and the corresponding aggregate exposures generated by these.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="Position"> <xsd:sequence> <xsd:group ref="PositionIdAndVersion.model"/> <xsd:group ref="PositionStatusInfo.model"/> <xsd:element minOccurs="0" name="reportingRoles" type="ReportingRoles"/> <xsd:element name="constituent" type="PositionConstituent"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="scheduledDate" type="ScheduledDate"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="valuation" type="AssetValuation"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 4/10)
constituent

  Type: | PositionConstituent, complex content

  The components that create this position.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="constituent" type="PositionConstituent"/>

reportingRoles

  Type: | ReportingRoles, complex content

  Information about the roles of the parties with respect to reporting the positions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportingRoles" type="ReportingRoles"/>

scheduledDate

  Type: | ScheduledDate, complex content

  Position level schedule date, such as final payment dates, in a simple and flexible format.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="scheduledDate" type="ScheduledDate"/>

valuation

  Type: | AssetValuation, complex content

  Valuation reported for the position, such as NPV or accrued interest. The asset/object references in the valuations should refer to the deal or components of the deal in the position, e.g. legs, streams, or underlyers.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="valuation" type="AssetValuation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.